PHP-FPM broken/missing after upgrade to Webmin 1.981 / Virtualmin 6.17 on debian 10

Operating system: Debian 4.19.98-1+deb10u1 (2020-04-27) x86_64 GNU/Linux
OS version: Webmin 1.981, Virtualmin 6.17

Under “Server configuration”->“PHP Options” php version can’t be selected anymore. If switched to mod_php, switching back to FPM is no longer psssible. Also creating a new server does not allow select FPM anymore.

You should not have mod_php installed. Uninstall it. There is no reason to ever use mod_php today, or to have it installed. It can break a variety of things when it updates, including other PHP modes.

That said, I don’t know why Virtualmin would fail to detect other options (mod_php updating could break their execution, but Virtualmin should still recognize them).

Also, make sure you’re running the latest version of Virtualmin (6.17-3).